/*
 * IsolatedKeyEventListener.java
 * Part of the B'am library - a collection of general-purpose utility classes.
 * 
 * Copyright (C)2006 Stephen Battey
 * Contact: resource@lucidviews.net
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
 */

package net.lucidviews.util.gui.event;

import java.awt.event.KeyEvent;


/**
 * Interface used to listen to an <code>IsolatedKeyEventProcessor</code>.
 * <br />
 * <br />
 * @author Stephen Battey
 * @version $Revision: 1.3 $
 * @since 1.0
 */
public interface IsolatedKeyEventListener
{
	
	/*
	 * Methods
	 */
	
	/**
	 * Notifies the listener of an isolated key press.
	 * <br />
	 * <br />
	 * @param keyEvent the event associated with the isolated key press
	 */
	void isolatedKeyPress( KeyEvent keyEvent );
	
}


/*
 * Change History
 *
 * $Log: IsolatedKeyEventListener.java,v $
 * Revision 1.3  2006/09/06 21:07:54  Steve
 * Added legal disclaimer.
 *
 * Revision 1.2  2006/06/07 20:35:16  Steve
 * Brought into Bam library:
 *  - moved into lucidviews package
 *  - added CVS headers/footers
 *
 */
